LoadReversal
Request
Path parameters
string, 10 characters, required
The Paymentology issued terminal ID of the terminal requesting the transaction
string, 1-255 characters, required
The reference of the wallet to reverse a previous load
integer, required
The amount of the original load to be reversed (can be partial)
string, 1-255 characters, required
A description of the terminal where the card was used
string, 0-2048 characters, required
Extra information about the transaction in a KLV format
string, 1-255 characters, required
Transaction ID of the original load to be reversed
date, required
Transaction date of the original load to be reversed
string, 1-255 characters, required
Transaction ID to identify the reversal message.
Note that the Transaction ID is not a unique value and may be duplicated over time.
date, required
Transaction date to identify the reversal message
string, required
HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0"?>
<methodCall>
<methodName>LoadReversal</methodName>
<params>
<param>
<value>
<string>0089753250</string>
</value>
</param>
<param>
<value>
<string>592193355535</string>
</value>
</param>
<param>
<value>
<int>7900000</int>
</value>
</param>
<param>
<value>
<string>20200821T02:42:00/Lazada\Lazada, Ho Chi Minh, VN\Ho Chi Minh\ 08 VNM</string>
</value>
</param>
<param>
<value>
<string>
</string>
</value>
</param>
<param>
<value>
<string>2911DF1B-9F06-8EBA-F1E8EE0BDF673D4C</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200824T01:44:00</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>2010048</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200824T01:44:07</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>6F0D0CFF534288C848D7881CBFEFF88605DB6214</string>
</value>
</param>
</params>
</methodCall>
Response
STATUS200 OK
Schema
integer
Status code indicating transaction result
"<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>"
Was this page helpful?